title: Burnup
db: metrics
requires: [ project, -task_id ]
tab: charts
order: 3
query: burnup
type: vega
display:
  height: 500
  width: container
  autosize:
    resize: true
    type: fit
  params:
    - name: brush
      select:
        type: interval
        resolv: global
    - name: column
      select:
        type: interval
      bind: legend
  mark:
    type: area
    tooltip: true
  encoding:
    x:
      field: week
      timeUnit: yearweek
      type: temporal
      title: Week
    y:
      field: value
      title: Task Count
      type: quantitative
    color:
      field: state_name
      title: Milestone
      sort:
        op: max
        field: value
      type: nominal
      scale:
        scheme: tableau20
